#include <SoftwareSerial.h>
SoftwareSerial Serial1(2, 3); // RX, TX

void setup() {
  Serial.begin(9600);
  Serial1.begin(9600);
  Serial.print("Test"); 
}


void loop() {
  static char inputBuffer[10];  // Puffer für die Ziffern
  static byte bufferIndex = 0;  // Index im Puffer

  // put your main code here, to run repeatedly:
  // read from port 1, send to port 0
  if (Serial1.available()) {
    char receivedChar = Serial1.read();  // Einzelnes Zeichen lesen

    if (receivedChar != '\n') {
      if (bufferIndex < sizeof(inputBuffer) - 1) {
        inputBuffer[bufferIndex++] = receivedChar;  // Zeichen zum Puffer hinzufügen
        inputBuffer[bufferIndex] = '\0';  // Nullterminator hinzufügen, um eine gültige C-String zu erstellen
      }
    } else {
      // Das '\n'-Zeichen vom Eingangspuffer entfernen
      Serial1.read();

      // Konvertiere die C-String in einen Float-Wert
      float floatValue = atof(inputBuffer);

      // Jetzt kannst du mit floatValue weiter rechnen
      Serial.print("Empfangene Zahl als Float: ");
      Serial.println(floatValue);

      // Puffer zurücksetzen
      bufferIndex = 0;
    }
  }
}